com.corticon.eclipse.core

## Interface IDialogAPI

- All Known Subinterfaces:
    IAssociationDialogAPI, IAssociationHREFDialogAPI, IDeploymentDialogAPI, IImportAPI, IJavaMetadataImportDialogAPI, IRuleflowDiagramDialogAPI, IRulesheetDialogAPI, IRuletestDialogAPI, IRuletestRenameDialogAPI, IRuletestTabFolderDialogAPI, ITestsheetDialogAPI, IVocabularyDialogAPI

      public interface IDialogAPI

  Ancestor for all Dialog "Smarts" APIs.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `displayMessageBox(java.lang.String astrTitle, java.lang.String astrMessage, int aiStyleBits)` Display a message box to the user bearing the title, message and style characteristics specified.
    `IExceptionDialogDelegate` | `getIExceptionDialogDelegate()` get the exception dialog delegate api.
    `java.util.Locale` | `getLocale()` Get API Locale.
    `java.lang.String` | `getMessage(java.lang.String astrBundleKey)` Return the localized message corresponding to the specified bundle key.
    `java.lang.String` | `getMessage(java.lang.String astrBundleKey, java.util.Locale aLocale)` Return the localized message corresponding to the specified bundle key and locale.
    `java.lang.String` | `getMessageBase(java.lang.String astrKeyPrefix, java.lang.String astrLocalizedString)` Return the base message corresponding to the specified bundle key.
    `IMessageBoxDelegate` | `getMessageBoxDelegate()` Get the message box delegate for this API.
    `IPreferences` | `getPreferences()` Return the preferences service for this API.
    `IScrollableMessageDelegate` | `getScrollableMessageDelegate()` Get the scrollable message delegate for this API.
    `IUserInterfaceInfoDelegate` | `getUserInterfaceInfoDelegate()` Get the user interface info delegate for this API.
    `void` | `setIExceptionDialogDelegate(IExceptionDialogDelegate aIExceptionDialogDelegate)` Set the exception dialog delegate api.
    `void` | `setLocale(java.util.Locale aLocale)` Set API Locale.
    `void` | `setMessageBoxDelegate(IMessageBoxDelegate aIMessageBoxDelegate)` Set the optional message box delegate for the API.
    `void` | `setPreferencesDelegate(IPreferencesDelegate aIPreferencesDelegate)` Set the optional preferences delegate for the API.
    `void` | `setScrollableMessageDelegate(IScrollableMessageDelegate aIScrollableMessageDelegate)` Set the optional scrollable messages delegate for the API.
    `void` | `setUserInterfaceInfoDelegate(IUserInterfaceInfoDelegate aIUserInterfaceInfoDelegate)` Set the optional user interface info delegate for the API.

- - ### Method Detail

    - #### displayMessageBox

          int displayMessageBox(java.lang.String astrTitle,
                              java.lang.String astrMessage,
                              int aiStyleBits)

      Display a message box to the user bearing the title, message and style characteristics specified. The style flags can be combined using the bitwise "or" operator to combine effects using the constants specified in this interface. Example:
      IMessageBoxDelegate.ICON_QUESTION | IMessageBoxDelegate.YES | IMessageBoxDelegate.NO
      Parameters:
        `astrTitle` - Title (typically appears at the top of the dialog window).
        `astrMessage` - Message to display in the body of the message box.
        `aiStyleBits` - Style specification.
      Returns:
        Integer number indicating which button was pressed.

    - #### getLocale

          java.util.Locale getLocale()

      Get API Locale.
      Returns:
        Locale in effect for this API.

    - #### getMessage

          java.lang.String getMessage(java.lang.String astrBundleKey)

      Return the localized message corresponding to the specified bundle key.
      Parameters:
        `astrBundleKey` - Bundle key.
      Returns:
        Localized message from i18n bundle.

    - #### getMessage

          java.lang.String getMessage(java.lang.String astrBundleKey,
                                    java.util.Locale aLocale)

      Return the localized message corresponding to the specified bundle key and locale.
      Parameters:
        `astrBundleKey` - Bundle key.
        `aLocale` - Locale to retrieve.
      Returns:
        Localized message from i18n bundle.

    - #### getMessageBase

          java.lang.String getMessageBase(java.lang.String astrKeyPrefix,
                                        java.lang.String astrLocalizedString)

      Return the base message corresponding to the specified bundle key.
      Parameters:
        `astrKeyPrefix` - Bundle key prefix.
        `astrLocalizedString` - Localized String.
      Returns:
        Base message from i18n bundle.

    - #### getMessageBoxDelegate

          IMessageBoxDelegate getMessageBoxDelegate()

      Get the message box delegate for this API.
      Returns:
        Message box delegate or `null` if none has been specified.

    - #### getPreferences

          IPreferences getPreferences()

      Return the preferences service for this API.
      Returns:
        IPreferences instance.

    - #### getScrollableMessageDelegate

          IScrollableMessageDelegate getScrollableMessageDelegate()

      Get the scrollable message delegate for this API.
      Returns:
        Instance of IScrollableMessageDelegate.

    - #### getUserInterfaceInfoDelegate

          IUserInterfaceInfoDelegate getUserInterfaceInfoDelegate()

      Get the user interface info delegate for this API.
      Returns:
        User interface info delegate or `null` if none has been specified.

    - #### setLocale

          void setLocale(java.util.Locale aLocale)

      Set API Locale.
      Parameters:
        `Locale` - for this API.

    - #### setMessageBoxDelegate

          void setMessageBoxDelegate(IMessageBoxDelegate aIMessageBoxDelegate)

      Set the optional message box delegate for the API.
      Parameters:
        `aIMessageBoxDelegate` - Message box delegate instance.

    - #### setPreferencesDelegate

          void setPreferencesDelegate(IPreferencesDelegate aIPreferencesDelegate)

      Set the optional preferences delegate for the API.
      Parameters:
        `aIPreferencesDelegate` - Preferences delegate instance.

    - #### setScrollableMessageDelegate

          void setScrollableMessageDelegate(IScrollableMessageDelegate aIScrollableMessageDelegate)

      Set the optional scrollable messages delegate for the API.
      Parameters:
        `aIScrollableMessageDelegate` - Message box delegate instance.

    - #### setIExceptionDialogDelegate

          void setIExceptionDialogDelegate(IExceptionDialogDelegate aIExceptionDialogDelegate)

      Set the exception dialog delegate api.
      Parameters:
        `aIExceptionDialogDelegate` - instance of ExceptionDialogDelegateApi

    - #### getIExceptionDialogDelegate

          IExceptionDialogDelegate getIExceptionDialogDelegate()

      get the exception dialog delegate api.

    - #### setUserInterfaceInfoDelegate

          void setUserInterfaceInfoDelegate(IUserInterfaceInfoDelegate aIUserInterfaceInfoDelegate)

      Set the optional user interface info delegate for the API.
      Parameters:
        `aIUserInterfaceInfoDelegate` - User interface info delegate instance.

Copyright © 2005-2013 Progress Software Corporation and/or its subsidiaries and affiliates. All rights reserved.